
package org.trustedcomputinggroup._2010.ifmap._2;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PollResultType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PollResultType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element name="searchResult" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}SearchResultType"/>
 *           &lt;element name="updateResult" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}UpdateResultType"/>
 *           &lt;element name="deleteResult" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}DeleteResultType"/>
 *           &lt;element name="notifyResult" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}NotifyResultType"/>
 *           &lt;element name="errorResult" type="{http://www.trustedcomputinggroup.org/2010/IFMAP/2}ErrorResultType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PollResultType", propOrder = {
    "searchResultOrUpdateResultOrDeleteResult"
})
public class PollResultType {

    @XmlElements({
        @XmlElement(name = "deleteResult", type = DeleteResultType.class),
        @XmlElement(name = "notifyResult", type = NotifyResultType.class),
        @XmlElement(name = "searchResult", type = SearchResultType.class),
        @XmlElement(name = "errorResult", type = ErrorResultType.class),
        @XmlElement(name = "updateResult", type = UpdateResultType.class)
    })
    protected List<Object> searchResultOrUpdateResultOrDeleteResult;

    /**
     * Gets the value of the searchResultOrUpdateResultOrDeleteResult property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the searchResultOrUpdateResultOrDeleteResult property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSearchResultOrUpdateResultOrDeleteResult().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DeleteResultType }
     * {@link NotifyResultType }
     * {@link SearchResultType }
     * {@link ErrorResultType }
     * {@link UpdateResultType }
     * 
     * 
     */
    public List<Object> getSearchResultOrUpdateResultOrDeleteResult() {
        if (searchResultOrUpdateResultOrDeleteResult == null) {
            searchResultOrUpdateResultOrDeleteResult = new ArrayList<Object>();
        }
        return this.searchResultOrUpdateResultOrDeleteResult;
    }

}
